Index: /waeup_cms/trunc/Extensions/Install.py
===================================================================
--- /waeup_cms/trunc/Extensions/Install.py	(revision 5)
+++ /waeup_cms/trunc/Extensions/Install.py	(revision 6)
@@ -1,5 +1,5 @@
-#  Scientific African - Basis installation
-#  Archetypes based content types for Scientific African
-#  Copyright (c) 2004 - COM.lounge GbR / Scientific African e.V.
+#  WAeUP CMS Product
+#  Archetypes based content types for the West African e-University Project web portal
+#  Copyright (c) 2005 WAeUP
 #
 #  This program is free software; you can redistribute it and/or modify
Index: /waeup_cms/trunc/Extensions/__init__.py
===================================================================
--- /waeup_cms/trunc/Extensions/__init__.py	(revision 5)
+++ /waeup_cms/trunc/Extensions/__init__.py	(revision 6)
@@ -1,5 +1,5 @@
-#  Scientific African - Basis Product
-#  Archetypes based content types for Scientific African
-#  Copyright (c) 2004 - COM.lounge GbR / Scientific African e.V.
+#  WAeUP CMS Product
+#  Archetypes based content types for the West African e-University Project web portal
+#  Copyright (c) 2005 WAeUP
 #
 #  This program is free software; you can redistribute it and/or modify
Index: /waeup_cms/trunc/Extensions/changeuseractions.py
===================================================================
--- /waeup_cms/trunc/Extensions/changeuseractions.py	(revision 5)
+++ /waeup_cms/trunc/Extensions/changeuseractions.py	(revision 6)
@@ -1,2 +1,21 @@
+#  WAeUP CMS Product
+#  Archetypes based content types for the West African e-University Project web portal
+#  Copyright (c) 2005 WAeUP
+#
+#  This program is free software; you can redistribute it and/or modify
+#  it under the terms of the GNU General Public License as published by
+#  the Free Software Foundation; either version 2 of the License, or
+#  (at your option) any later version.
+#
+#  This program is distributed in the hope that it will be useful,
+#  but WITHOUT ANY WARRANTY; without even the implied warranty of
+#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#  GNU General Public License for more details.
+#
+#  You should have received a copy of the GNU General Public License
+#  along with this program; if not, write to the Free Software
+#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+#
+
 from Products.CMFCore.utils import getToolByName
 
@@ -64,4 +83,11 @@
                 ,'user'
                 , visible=1)
+    mt.addAction('orgmail'
+                ,'Org Mailing List'
+                ,'string:http://lists.waeup.org/mailman/listinfo/org'
+                ,''
+                ,'View'
+                ,'user'
+                , visible=1)
     mt.addAction('webmail'
                 ,'Webmail'
Index: /waeup_cms/trunc/__init__.py
===================================================================
--- /waeup_cms/trunc/__init__.py	(revision 5)
+++ /waeup_cms/trunc/__init__.py	(revision 6)
@@ -1,5 +1,5 @@
-#  Scientific African - Basis Product
-#  Archetypes based content types for Scientific African
-#  Copyright (c) 2004 - COM.lounge GbR / Scientific African e.V.
+#  WAeUP CMS Product
+#  Archetypes based content types for the West African e-University Project web portal
+#  Copyright (c) 2005 WAeUP
 #
 #  This program is free software; you can redistribute it and/or modify
Index: /waeup_cms/trunc/config.py
===================================================================
--- /waeup_cms/trunc/config.py	(revision 5)
+++ /waeup_cms/trunc/config.py	(revision 6)
@@ -1,5 +1,5 @@
-#  Scientific African - Basis Product
-#  Archetypes based content types for Scientific African
-#  Copyright (c) 2004 - COM.lounge GbR / Scientific African e.V.
+#  WAeUP CMS Product
+#  Archetypes based content types for the West African e-University Project web portal
+#  Copyright (c) 2005 WAeUP
 #
 #  This program is free software; you can redistribute it and/or modify
@@ -21,5 +21,5 @@
 $Id: $
 """
-__author__  = 'Henrik Bettermann'
+__author__  = ''
 __docformat__ = 'restructuredtext'
 
Index: /waeup_cms/trunc/contents/__init__.py
===================================================================
--- /waeup_cms/trunc/contents/__init__.py	(revision 5)
+++ /waeup_cms/trunc/contents/__init__.py	(revision 6)
@@ -1,5 +1,5 @@
-#  Scientific African - Basis Product
-#  Archetypes based content types for Scientific African
-#  Copyright (c) 2004 - COM.lounge GbR / Scientific African e.V.
+#  WAeUP CMS Product
+#  Archetypes based content types for the West African e-University Project web portal
+#  Copyright (c) 2005 WAeUP
 #
 #  This program is free software; you can redistribute it and/or modify
Index: /waeup_cms/trunc/interfaces/__init__.py
===================================================================
--- /waeup_cms/trunc/interfaces/__init__.py	(revision 5)
+++ /waeup_cms/trunc/interfaces/__init__.py	(revision 6)
@@ -1,5 +1,5 @@
-#  Scientific African - Basis Product
-#  Archetypes based content types for Scientific African
-#  Copyright (c) 2004 - COM.lounge GbR / Scientific African e.V.
+#  WAeUP CMS Product
+#  Archetypes based content types for the West African e-University Project web portal
+#  Copyright (c) 2005 WAeUP
 #
 #  This program is free software; you can redistribute it and/or modify
Index: /waeup_cms/trunc/skins/WAEUP/base_properties.props
===================================================================
--- /waeup_cms/trunc/skins/WAEUP/base_properties.props	(revision 5)
+++ /waeup_cms/trunc/skins/WAEUP/base_properties.props	(revision 6)
Index: /waeup_cms/trunc/skins/WAEUP/portlet_name.pt
===================================================================
--- /waeup_cms/trunc/skins/WAEUP/portlet_name.pt	(revision 5)
+++ /waeup_cms/trunc/skins/WAEUP/portlet_name.pt	(revision 6)
@@ -17,5 +17,5 @@
      <ul>
       <tal:actions tal:repeat="action python:here.getOrderedUserActions(keyed_actions=keyed_actions, 
-                                                                        ordering = {'pre' : ['preferences', 'mystuff', 'webmail', 'svnrepos', 'svninter', 'usermanagement', 'ldap', 'undo'], 
+                                                                        ordering = {'pre' : ['preferences', 'mystuff', 'webmail', 'orgmail', 'svnrepos', 'svninter', 'usermanagement', 'ldap', 'undo'], 
                                                                                     'post' : ['plone_setup', 'logout']})">
 
Index: /waeup_cms/trunc/skins/WAEUP/waeup.css.dtml.metadata
===================================================================
--- /waeup_cms/trunc/skins/WAEUP/waeup.css.dtml.metadata	(revision 5)
+++ /waeup_cms/trunc/skins/WAEUP/waeup.css.dtml.metadata	(revision 6)