Index: waeup_cms/trunk/skins/WAEUP/member_listing.pt
===================================================================
--- waeup_cms/trunk/skins/WAEUP/member_listing.pt	(revision 10)
+++ waeup_cms/trunk/skins/WAEUP/member_listing.pt	(revision 10)
@@ -0,0 +1,122 @@
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en"
+      lang="en"
+      metal:use-macro="here/main_template/macros/master"
+      i18n:domain="plone">
+
+  <metal:block fill-slot="base">
+      <tal:block tal:define="dummy python:request.set('disable_border', 1)"
+                 tal:replace="nothing">
+      Disable the tabs
+      </tal:block>
+  </metal:block>
+
+<body>
+  
+<div metal:fill-slot="main"
+     tal:define="is_manager python:test(here.portal_membership.checkPermission('Manage portal', here), 1, 0);">
+
+  <div 
+       tal:define="results python:here.portal_membership.searchForMembers(request);
+                   Batch python:modules['Products.CMFPlone'].Batch;
+                   DateTime python:modules['DateTime'].DateTime;
+                   default_page_size python:1000;
+                   page_size default_page_size;page_size request/psize | page_size;
+                   b_size page_size; b_start python:0;b_start request/b_start | b_start;">
+
+    <h1 i18n:translate="member_list">Member list</h1>
+
+    <div tal:condition="results"
+          tal:define="batch python:Batch(results, b_size, int(b_start), orphan=1)">
+
+        <br/><br/><br/>
+         <span i18n:translate="more_than_shown" tal:condition="python:page_size < len(results)">
+         Up to <span i18n:name="number" tal:content="page_size">666</span> members are summarized on each page.
+         If you want all members on one page, click <a href="" tal:attributes="href python: '?psize:int=999999'">
+                                            <strong><span tal:omit-tag="" i18n:translate="here_instead">here instead</span></strong>
+                                        </a>. <br/>
+         </span>
+
+        <!-- Navigation -->
+        <div metal:use-macro="here/batch_macros/macros/navigation" />
+
+        <table align='left' width=100%>
+        <tbody>
+
+          <metal:block tal:repeat="result batch">
+
+                <tr tal:define="id result/getUserName;
+                                author python:mtool.getMemberInfo(id);
+                                portrait python: mtool.getPersonalPortrait(id);
+                                home_base python:container.portal_membership.getHomeUrl(id, verifyPermission=1)">
+
+                  <td>
+                  <a href="#" tal:attributes="href portrait/absolute_url">
+                  <img src=""
+                     alt=""
+                     class="portraitPhoto"
+                     width="25"
+                     height="33"
+                     style="float: left; margin: 0em;"
+                     tal:attributes="src portrait/absolute_url" />
+                  </a>
+                  </td>
+
+                                
+                  <td>
+                   <span tal:condition="python: is_manager and home_base">
+                     <a href="#" tal:attributes="href string:${portal_url}/portal_memberdata/prefs_user_details?userid=${id}">
+                       <span tal:content="id">id</span>
+                     </a>
+                   </span>
+                   <span tal:condition="python: is_manager and not home_base">
+                     <span tal:content="id">id</span>
+                   </span>
+                  </td>    
+                                                 
+                  <td>
+                   <span tal:condition="python: author['fullname']">
+                     <a href="#" tal:attributes="href string:${portal_url}/author/${id}">
+                       <span tal:content="python: author['fullname']">name</span>
+                     </a>
+                   </span>
+                   <span tal:condition="python: not author['fullname']">
+                     XXXXX
+                   </span>
+                  </td>
+
+                  <td>
+                   <span tal:condition="python: author['location']">
+                     <span tal:content="python: author['location']">location</span>
+                   </span>
+                   <span tal:condition="python: not author['location']">
+                     XXXXX
+                   </span>
+                  </td>                  
+                  
+                  <td>
+                    <span tal:condition="result/email" tal:content="structure python: result.spamProtect(result.email)" />
+                  </td>
+
+               </tr>
+
+          </metal:block>
+
+        </tbody>
+        </table>
+
+        <br/>
+
+        <!-- Navigation -->
+        <div metal:use-macro="here/batch_macros/macros/navigation" />
+
+    </div>
+
+    <div tal:condition="not: results">
+        <p><strong i18n:translate="description_no_results_found">No results were found.</strong></p>
+    </div>
+
+ </div>
+
+</div>
+</body>
+</html>