Index: /waeup_cms/trunk/Extensions/changeuseractions.py
===================================================================
--- /waeup_cms/trunk/Extensions/changeuseractions.py	(revision 11)
+++ /waeup_cms/trunk/Extensions/changeuseractions.py	(revision 12)
@@ -42,6 +42,13 @@
                 , visible=1)
     mt.addAction('login'
-                ,'Log in'
+                ,'Secure Login'
                 ,'python:portal_url.replace("http:","https:")+"/login_form"'
+                ,'not: member'
+                ,'View'
+                ,'user'
+                , visible=1)
+    mt.addAction('login'
+                ,'Unsecure Login'
+                ,'python:portal_url.replace("https:","http:")+"/login_form"'
                 ,'not: member'
                 ,'View'
Index: /waeup_cms/trunk/skins/WAEUP/member_listing.pt
===================================================================
--- /waeup_cms/trunk/skins/WAEUP/member_listing.pt	(revision 11)
+++ /waeup_cms/trunk/skins/WAEUP/member_listing.pt	(revision 12)
@@ -17,37 +17,34 @@
 
   <div 
-       tal:define="results python:here.portal_membership.searchForMembers(request);
-                   Batch python:modules['Products.CMFPlone'].Batch;
-                   DateTime python:modules['DateTime'].DateTime;
-                   default_page_size python:1000;
-                   page_size default_page_size;page_size request/psize | page_size;
-                   b_size page_size; b_start python:0;b_start request/b_start | b_start;">
+       tal:define="results python:here.portal_membership.searchForMembers(request)">
 
     <h1 i18n:translate="member_list">WAeUP Member List</h1>
 
-    <div tal:condition="results"
-          tal:define="batch python:Batch(results, b_size, int(b_start), orphan=1)">
+    <div tal:condition="results">
 
-        <br/>
+        <table align="left" width=100%>
 
-        <table align='left' width=100%>
         <tbody>
 
-          <metal:block tal:repeat="result batch">
+          <tal:repeat tal:define="Groups python:(('Nigeria','Nigerian Group'), ('Germany','German Group'), ('Ghana','Ghanaian Group'))"
+                      tal:repeat="Group Groups">
 
+          <tr><td colspan="5">
+              <h2 style="padding-top: 0.5em" tal:content="python:Group[1]" />
+          </td></tr>
+          
+
+          <tal:block tal:repeat="result results">
                 <tr tal:define="id result/getUserName;
                                 author python:mtool.getMemberInfo(id);
                                 portrait python: mtool.getPersonalPortrait(id);
-                                home_base python:container.portal_membership.getHomeUrl(id, verifyPermission=1)">
+                                home_base python:container.portal_membership.getHomeUrl(id, verifyPermission=1)"
+                    tal:condition="python:Group[0] in result.getGroupNames()">
 
                   <td>
                   <a href="#" tal:attributes="href portrait/absolute_url">
-                  <img src=""
-                     alt=""
-                     class="portraitPhoto"
-                     width="25"
-                     height="33"
-                     style="float: left; margin: 0em;"
-                     tal:attributes="src portrait/absolute_url" />
+                  <img src="" alt="" class="portraitPhoto" width="25" height="33"
+                       style="float: left; margin: 0em;"
+                       tal:attributes="src portrait/absolute_url" />
                   </a>
                   </td>
@@ -77,9 +74,5 @@
 
                   <td>
-
-                   <span tal:condition="python: author['location']">
-                     <span tal:content="python: author['location']" />
-                   </span>
-
+                   <span tal:content="author/location|nothing" >Location</span>
                   </td>                  
                   
@@ -88,15 +81,19 @@
                   </td>
 
+                  <td>
+                   <span tal:condition="python:  id == member.id and not is_manager">
+                     <a href="#" tal:attributes="href string:${portal_url}/personalize_form">
+                       Personal Preferences
+                     </a>
+                   </span>
+                  </td>
+
                </tr>
 
-          </metal:block>
+          </tal:block>
 
+        </tal:repeat>
         </tbody>
         </table>
-
-        <br/>
-
-        <!-- Navigation -->
-        <div metal:use-macro="here/batch_macros/macros/navigation" />
 
     </div>