Index: waeup_cms/branches/waeup_cms_sandbox/skins/WAEUP/portlet_menu.pt
===================================================================
--- waeup_cms/branches/waeup_cms_sandbox/skins/WAEUP/portlet_menu.pt	(revision 14)
+++ waeup_cms/branches/waeup_cms_sandbox/skins/WAEUP/portlet_menu.pt	(revision 14)
@@ -0,0 +1,73 @@
+<html xmlns:tal="http://xml.zope.org/namespaces/tal"
+      xmlns:metal="http://xml.zope.org/namespaces/metal"
+      i18n:domain="plone">
+<body>
+
+<div metal:define-macro="portlet">
+  <tal:menu repeat="menu context/selectMenus">
+  <dl class="portlet"
+       tal:define="items menu/getMenuItems"
+       tal:condition="items">
+
+    <dt class="portletHeader" i18n:translate="" tal:content="menu/Title">menu</dt>
+
+    <dd class="portletItemLast"
+         tal:define="indent python: 1;
+                     isPlone20 python: True">
+         
+      <div class="portletContent odd" id="portlet-navigation-tree">
+        <tal:block tal:repeat="item items">
+            <metal:item use-macro="context/portlet_menu/macros/item" />
+        </tal:block>
+      </div>
+      <div class="portletContent odd" style="padding-top: 0"
+           tal:condition="python: menu.portal_type=='TaskMenu' and menu.getMoreLink()">
+        <a href="#" class="portletMore"
+           tal:attributes="href string:${portal_url}/${menu/getMoreLink}"
+           i18n:translate="box_morelink">More...</a>
+      </div>
+      
+    </dd>
+  </dl>
+  </tal:menu>
+</div>
+
+
+<metal:item define-macro="item"
+        tal:define="level level | python: 1;
+                    isActive python: item.isActive(context, menu, level);
+                    isCurrent python: item.isCurrent(context, menu, level);">
+  <div class="navTreeItem navTree" tal:omit-tag="isPlone20"
+       tal:attributes="class python: 'navTreeItem navTree '
+                                + 'navTreeLevel' + str(indent)
+                                + test(isCurrent, ' currentNavItem navTreeCurrentItem', '');">
+    <a href="#"
+       tal:define="target item/getTargetObject;
+                   icon python: target == portal and 'site_icon.gif'
+                             or target.getIcon()"
+       tal:attributes="href item/getItemUrl;
+                       title item/Description | item/Title;
+                       class python: 'navItem '
+                                + 'navLevel' + str(indent)
+                                + test(isCurrent, ' currentNavItem', '');">
+      <img height="16" width="16" alt="" class="navIcon"
+           tal:attributes="src string:${here/portal_url}/${icon};
+                           title target/Type;" />
+      <span class="navItemText"
+            tal:content="item/Title">Item title</span>
+    </a>
+  </div>
+  <tal:subitems
+        tal:define="indent python: indent + 1"
+        tal:condition="isActive">
+    <tal:block tal:repeat="item python: item.getMenuItems(menu)">
+      <tal:item define="level python: level + 1">
+        <metal:item use-macro="context/portlet_menu/macros/item" />
+      </tal:item>
+    </tal:block>
+  </tal:subitems>
+</metal:item>
+
+
+</body>
+</html>
Index: waeup_cms/branches/waeup_cms_sandbox/skins/WAEUP/selectMenus.py
===================================================================
--- waeup_cms/branches/waeup_cms_sandbox/skins/WAEUP/selectMenus.py	(revision 14)
+++ waeup_cms/branches/waeup_cms_sandbox/skins/WAEUP/selectMenus.py	(revision 14)
@@ -0,0 +1,17 @@
+## Script (Python) "selectMenus"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=type_name=None
+##title=
+##
+pm = context.portal_membership
+member = pm.getAuthenticatedMember()
+
+menus = context.portal_catalog(portal_type=('Menu', 'TaskMenu'))
+isAdmin = member is not None and member.has_role(('Manager', 'Staff',))
+if not isAdmin:
+    menus = [ m for m in menus if not 'admin' in m.getId ]
+return [ m.getObject() for m in menus ]