Index: /waeup_product/trunk/Extensions/install.py
===================================================================
--- /waeup_product/trunk/Extensions/install.py	(revision 22)
+++ /waeup_product/trunk/Extensions/install.py	(revision 23)
@@ -2,12 +2,10 @@
 from Products.CMFCore.CMFCorePermissions import View, ModifyPortalContent
 try:
-  from Products.CPSSubscriptions.CPSSubscriptionsPermissions import \
-     CanNotifyContent
+  from Products.CPSSubscriptions.permissions import CanNotifyContent
   CPSSubscriptions = True
 except ImportError:
   CPSSubscriptions = False
 try:
-  from Products.CPSForum.CPSForumPermissions import \
-     ForumManageComments
+  from Products.CPSForum.CPSForumPermissions import ForumManageComments
   CPSForum = True
 except ImportError:
@@ -65,6 +63,6 @@
                         'action'    : 'string:${portal_url}/check_admission_form',
                         'permission': (View, ),
-                        'condition' : '',
-                        'category'  : 'ostudent',
+                        'condition' : 'not:member',
+                        'category'  : 'student',
                         'visible'   : 1,
                       },
@@ -73,6 +71,6 @@
                         'name'      : 'Add Student',
                         'action'    : 'folder_factories',
-                        'permission': (View, ),
-                        'condition' : 'python: here.portal_type == "StudentFolder"',
+                        'permission': (ModifyPortalContent,),
+                        'condition' : '',
                         'category'  : 'student',
                         'visible'   : 1,
Index: /waeup_product/trunk/skins/waeup_student/student_folder_view.py
===================================================================
--- /waeup_product/trunk/skins/waeup_student/student_folder_view.py	(revision 22)
+++ /waeup_product/trunk/skins/waeup_student/student_folder_view.py	(revision 23)
@@ -1,3 +1,3 @@
-##parameters=post_id=None, REQUEST=None
+##parameters=REQUEST=None
 
 # $Id$
@@ -6,3 +6,5 @@
 will be displayed, otherwise first post will be displayed."""
 
-return context.student_folder_view_main()
+admin = "SectionManager" in context.portal_membership.getAuthenticatedMember().getRolesInContext(context)
+
+return context.student_folder_view_main(admin = admin)
Index: /waeup_product/trunk/skins/waeup_student/student_folder_view_main.pt
===================================================================
--- /waeup_product/trunk/skins/waeup_student/student_folder_view_main.pt	(revision 22)
+++ /waeup_product/trunk/skins/waeup_student/student_folder_view_main.pt	(revision 23)
@@ -1,32 +1,38 @@
 <html metal:use-macro="here/content_lib_master/macros/master">
 
-<metal:block fill-slot="head_slot">
-  <tal:block tal:define="student here/getContent">
-  </tal:block>
-</metal:block>
+  <metal:block fill-slot="head_slot">
+    <tal:block tal:define="student here/getContent">
+    </tal:block>
+  </metal:block>
 
-<metal:block fill-slot="css_slot">
-  <link rel="Stylesheet" type="text/css" href=""
-    tal:attributes="href string:${base_url}student.css" />
-</metal:block>
+  <metal:block fill-slot="css_slot">
+    <link rel="Stylesheet" type="text/css" href=""
+          tal:attributes="href string:${base_url}student.css" />
+  </metal:block>
 
-<metal:block fill-slot="main"
-             tal:define="student_folder here/getContent;
-             items here/contentValues">
-<span tal:condition="python: 0" tal:content="items" />
-<table cellspacing="0" cellpadding="0">
-    <tal:block condition="python: len(items)">
-      <tr tal:repeat="item items">
-        <td colspan="1">
-          <a href="student" tal:attributes="href item/absolute_url" tal:content="item/title_or_id"></a>
-      </td>
-      </tr>
-    </tal:block>
-    <tr tal:condition="python:not len(items)">
-      <td>
-        no Students yet !
-      </td>
-    </tr>
-  </table>
-</metal:block>
+  <metal:block fill-slot="main"
+               tal:define="student_folder here/getContent;
+               items here/contentValues"
+               >
+    <span tal:condition="python: mtool.isAnonymousUser()"> 
+      Please login or check you Jambadmission.
+    </span>
+    <span tal:condition="python: 0" tal:content="python:member.getRolesInContext(here)" />
+    <span tal:condition="python: 'SectionManager' in member.getRolesInContext(here)"> 
+      <table cellspacing="0" cellpadding="0">
+        <tal:block condition="python: len(items)">
+          <tr tal:repeat="item items">
+            <td colspan="1">
+              <a href="student" tal:attributes="href item/absolute_url" tal:content="item/title_or_id"></a>
+            </td>
+          </tr>
+        </tal:block>
+        <tr tal:condition="python:not len(items)">
+          <td>
+            no Students yet !
+          </td>
+        </tr>
+      </table>
+    </span>
+  </metal:block>
 </html>