Index: waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py
===================================================================
--- waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py	(revision 24)
+++ waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py	(revision 25)
@@ -36,4 +36,26 @@
                 'label': 'University',
                 'label_edit': 'University',
+                'description': '',
+                'help': '',
+                'is_i18n': False,
+                'readonly_layout_modes': (),
+                'hidden_layout_modes': (),
+                'hidden_readonly_layout_modes': (),
+                'hidden_empty': False,
+                'hidden_if_expr': '',
+                'css_class': '',
+                'widget_mode_expr': '',
+                'display_width': 10,
+                'size_max': 0,
+            },
+        },
+        'jamb_pin_usage': {
+            'type': 'Int Widget',
+            'data': {
+                'title': 'Jamb Pin usage',
+                'fields': ('jamb_pin_usage',),
+                'is_required': False,
+                'label': 'Nr of tries',
+                'label_edit': 'Nr of tries',
                 'description': '',
                 'help': '',
@@ -80,4 +102,5 @@
             [{'widget_id': 'jamb_is_admitted', 'ncols': 1},],
             [{'widget_id': 'jamb_where_admitted', 'ncols': 1},],
+            [{'widget_id': 'jamb_pin_usage', 'ncols': 1},],
             [{'widget_id': 'faculty', 'ncols': 1},],
         ]
@@ -114,5 +137,5 @@
             'data': {
                 'title': 'SC Pin',
-                'fields': (),
+                'fields': ('sc_pin'),
                 'is_required': True,
                 'label': 'Scratchcard Pin',
Index: waeup_product/trunk/skins/waeup_default/getWAeUPSchemas.py
===================================================================
--- waeup_product/trunk/skins/waeup_default/getWAeUPSchemas.py	(revision 24)
+++ waeup_product/trunk/skins/waeup_default/getWAeUPSchemas.py	(revision 25)
@@ -253,7 +253,54 @@
     },
 }
+
+scratch_card = {
+   'allow_discussion': {
+        'type': 'CPS Int Field',
+        'data': {
+            'default_expr': 'python:0',
+            'is_searchabletext': 0,
+            },
+        },
+     'sc_id': {
+        'type': 'CPS String Field',
+        'data': {
+            'default_expr': '',
+            'is_searchabletext': 0,
+            'acl_read_permissions': '',
+            'acl_read_roles': '',
+            'acl_read_expr': '',
+            'acl_write_permissions': '',
+            'acl_write_roles': '',
+            'acl_write_expr': '',
+            'read_ignore_storage': False,
+            'read_process_expr': '',
+            'read_process_dependent_fields': (),
+            'write_ignore_storage': False,
+            'write_process_expr': '',
+        },
+    },
+     'sc_pin': {
+        'type': 'CPS String Field',
+        'data': {
+            'default_expr': '',
+            'is_searchabletext': 0,
+            'acl_read_permissions': '',
+            'acl_read_roles': '',
+            'acl_read_expr': '',
+            'acl_write_permissions': '',
+            'acl_write_roles': '',
+            'acl_write_expr': '',
+            'read_ignore_storage': False,
+            'read_process_expr': '',
+            'read_process_dependent_fields': (),
+            'write_ignore_storage': False,
+            'write_process_expr': '',
+        },
+    },
+}
 schemas = {}
 schemas['student'] = student_schema
 schemas['jamb'] = jamb_schema
+schemas['scratchcard'] = scratch_card
 
 return schemas
Index: waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py
===================================================================
--- waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py	(revision 24)
+++ waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py	(revision 25)
@@ -18,5 +18,5 @@
     'global_allow': 1,
     'filter_content_types': 1,
-    'allowed_content_types': ('Student',),
+    'allowed_content_types': ('Student','ScratchCard'),
     'allow_discussion': 0,
     'cps_is_searchable': 1,
@@ -104,4 +104,54 @@
     )
 }
+scratch_card = {
+    'title': 'WAeUP Scratchcard',
+    'description': '',
+    'content_icon': 'student.gif',
+    'content_meta_type': 'CPS Document',
+    'product': 'CPSDocument',
+    'factory': 'addCPSDocument',
+    'immediate_view': 'cpsdocument_view',
+    'global_allow': True,
+    'filter_content_types': True,
+    'allowed_content_types': (),
+    'allow_discussion': False,
+    'cps_is_searchable': True,
+    'cps_proxy_type': 'document',
+    'cps_display_as_document_in_listing': True,
+    'schemas': ('metadata', 'scratch_card'),
+    'layouts': ('common', 'scratch_card'),
+    'cps_workspace_wf': 'waeup_workspace_wf',
+    'cps_section_wf': 'waeup_section_wf',
+##    'actions': (
+##         {'id': 'view',
+##          'name': 'action_view',
+##          'action': 'string:${object_url}/document_view',
+##          'condition': '',
+##          'permission': ('View',),
+##          'category': 'object',
+##          'visible': True,},
+##         {'id': 'new_content',
+##          'name': 'Add a scratch card',
+##          'action': 'string:${object_url}/folder_factories',
+##          'condition': "python:len(object.contentItems()) == 0 ",
+##          'permission': ('Modify portal content',),
+##          'category': 'object',
+##          'visible': True,},
+##         {'id': 'contents',
+##          'name': 'action_folder_contents',
+##          'action': 'string:${object_url}/folder_contents',
+##          'condition': "python:object.getTypeInfo().cps_proxy_type != 'document'",
+##          'permission': ('Modify portal content',),
+##          'category': 'object',
+##          'visible': True,},
+##         {'id': 'edit',
+##          'name': 'action_edit',
+##          'action': 'string:${object_url}/cpsdocument_edit_form',
+##          'condition': '',
+##          'permission': ('Modify portal content',),
+##          'category': 'object',
+##          'visible': True,},
+##    )
+}
 #
 #
@@ -134,4 +184,5 @@
 types['StudentFolder'] = student_folder_type
 types['Student'] = student_type
+types['ScratchCard'] = scratch_card
 types['Jamb'] = jamb_type
 
Index: waeup_product/trunk/skins/waeup_student/check_admission.py
===================================================================
--- waeup_product/trunk/skins/waeup_student/check_admission.py	(revision 25)
+++ waeup_product/trunk/skins/waeup_student/check_admission.py	(revision 25)
@@ -0,0 +1,7 @@
+##parameters=REQUEST=None
+
+# $Id$
+
+admin = "SectionManager" in context.portal_membership.getAuthenticatedMember().getRolesInContext(context)
+
+return context.student_admitted_form()
Index: waeup_product/trunk/skins/waeup_student/check_admission_form.pt
===================================================================
--- waeup_product/trunk/skins/waeup_student/check_admission_form.pt	(revision 24)
+++ waeup_product/trunk/skins/waeup_student/check_admission_form.pt	(revision 25)
@@ -1,13 +1,45 @@
 <metal:html use-macro="here/main_template/macros/master">
 
-<metal:block fill-slot="header" />
-
-<metal:main fill-slot="main">
-  <form action="." method="post"
-        tal:attributes="action string:${here_url}/check_admission"> 
-      <input type="submit" class="standalone" value="check" />
-    </p>
-  </form>
-</metal:main>
-
+  <metal:block fill-slot="header" />
+  <metal:main fill-slot="main" tal:define="lotool here/portal_layouts">
+    <metal:block tal:condition="python: 1" define-macro="default_view"
+                 tal:define="layout python: lotool.checkadmission;
+                 ldef python: lotool.checkadmission.getLayoutDefinition()"
+                 >
+      <form action='check_admission' method='post'
+            enctype='multipart/form-data' class='workflow'>
+        <table tal:condition="python: 1" width="100%" cellpadding="2" cellspacing="2" border="0"
+               summary="layout">
+          <tr valign="top">
+            <td colspan="1">
+              <div class="">
+                <div class="label">
+                  <label>Student Id</label>
+                </div>
+                <div class="field">
+                  <input name="student Id" type="text" value="" size="10" />
+                </div>
+              </div>
+            </td>
+          </tr>
+          <tr valign="top">
+            <td colspan="1">
+              <div class="label">
+                <label>Scratch Card Pin</label>
+              </div>
+              <div class="field">
+                <input name="sc_pin" type="text" value="" size="10" />
+              </div>
+            </td>
+          </tr>
+          <tr valign="top">
+            <td colspan="1">
+              <input type="submit" class="standalone"
+                     name="cpsdocument_create_button" value="check" />
+            </td>
+          </tr>
+        </table>
+      </form>
+    </metal:block>
+  </metal:main>
 </metal:html>
Index: waeup_product/trunk/skins/waeup_student/student_admitted_form.pt
===================================================================
--- waeup_product/trunk/skins/waeup_student/student_admitted_form.pt	(revision 25)
+++ waeup_product/trunk/skins/waeup_student/student_admitted_form.pt	(revision 25)
@@ -0,0 +1,112 @@
+<metal:html use-macro="here/main_template/macros/master">
+
+  <metal:block fill-slot="header" />
+  <metal:main fill-slot="main" tal:define="lotool here/portal_layouts">
+    <metal:block tal:condition="python: 1" define-macro="default_view"
+                 tal:define="layout python: lotool.checkadmission;
+                 ldef python: lotool.checkadmission.getLayoutDefinition()"
+                 >
+      <form action='check_addmission' method='post'
+            enctype='multipart/form-data' class='workflow'>
+        <TABLE cellSpacing="0" cellPadding="0" width="100%" border="0">
+          <TR>
+            <td colspan="">
+              Disclaimer
+            </TD>
+          </TR>
+          <TR>
+            <td colspan="">
+              <span>The result information given below is correct at the time of release of results by the Board. The board accepts no responsibility there after for any errors or omissions caused as a result of transmission via the internet or downloading or printing by the user. <p> Candidates are required to obtain their results slips from the Board as the result information contained herein does not constitute valid admission documentation and will therefore not be acceptable as such the institution applied to and/or the Board</p></span>
+            </TD>
+          </TR>
+          <TR>
+            <td colspan="">
+              <span >Examination</span></TD>
+            <td colspan="">
+              <span>UME 2005/2006</span></TD>
+          </TR>
+          <tr>
+            <td colspan="2">
+              <span>Personal Information</span></TD>
+          </tr>
+          <tr>
+            <TD width="50%">
+            Candidate Name</TD>
+            <TD>
+              <span>EYIEZOR AKOMU ODION</span></TD>
+          </tr>
+          <tr>
+            <TD>Registration Number</TD>
+            <TD>
+              <span>52083535AC</span></TD>
+          </tr>
+          <tr>
+            <TD colspan="2">
+              <span>Examination Information</span></TD>
+          </tr>
+          <tr>
+            <TD>Examination Number</TD>
+            <TD>
+            Examination Centre Name</TD>
+          </tr>
+          <tr>
+            <TD >
+              <span>02536</span>
+              <span>401</span></TD>
+            <TD>
+              <span>Imaguero College (Snr) Sapele Rd B/C</span></TD>
+          </tr>
+          <TR>
+            <TD colspan="2">
+              <span>Subjects Information</span>
+            </TD>
+          </TR>
+          <TR>
+            <TD colspan="2">
+              <table cellspacing="0" rules="all" border="0">
+                <tr>
+                  <td>Subject</td><td>Score</td>
+                </tr>
+                <tr>
+                  <td>Use of English</td><td>32</td>
+                </tr>
+                <tr>
+                  <td>Economics</td><td>34</td>
+                </tr>
+                <tr>
+                  <td>Government</td><td>34</td>
+                </tr>
+                <tr>
+                  <td>Mathematics</td><td>31</td>
+                </tr>
+              </table>
+            </TD>
+          </TR>
+          <TR>
+            <TD>Aggregate</TD>
+            <TD>
+              <span>131</span>
+            </TD>
+          </TR>
+          <tr>
+            <TD colspan="2"><span>Admission Information</span></TD>
+          </tr>
+          <tr>
+            <TD colspan="2" align="left">
+              <span>NO ADMISSION OFFERED YET</span>
+              <HR width="100%" SIZE="1" />
+            </TD>
+          </tr>
+          <TR>
+            <TD>
+              <span>Card Use</span>
+            </TD>
+            <TD>
+              <span>1 of 5</span>
+            </TD>
+          </TR>
+        </TABLE>
+      </form>
+    </metal:block>
+  </metal:main>
+</metal:html>