Index: waeup_product/trunk/Extensions/install.py
===================================================================
--- waeup_product/trunk/Extensions/install.py	(revision 27)
+++ waeup_product/trunk/Extensions/install.py	(revision 28)
@@ -61,5 +61,5 @@
                         'id'        : 'checkadmission',
                         'name'      : 'Check Admission',
-                        'action'    : 'string:${portal_url}/check_admission_form',
+                        'action'    : 'string:${object/absolute_url}/check_admission_form',
                         'permission': (View, ),
                         'condition' : 'not:member',
@@ -70,7 +70,7 @@
                         'id'        : 'new_student',
                         'name'      : 'Add Student',
-                        'action'    : 'folder_factories',
+                        'action'    : 'string:${object/absolute_url}/create_student',
                         'permission': (View),
-                        'condition' : 'member',
+                        'condition' : 'python: member and here.portal_type == "StudentFolder"',
                         'category'  : 'student',
                         'visible'   : 1,
@@ -86,9 +86,18 @@
                       },
                       { 'tool'      : 'portal_actions',
-                        'id'        : 'edit_student',
+                        'id'        : 'add_jamb',
                         'name'      : 'Add Jamb Data',
-                        'action'    : 'folder_factories',
+                        'action'    : 'string:${object/absolute_url}/create_jamb',
+                        'permission': (),
+                        'condition' : 'python:here.portal_type != "Jamb" and len(object.contentItems()) == 0',
+                        'category'  : 'student',
+                        'visible'   : 1,
+                      },
+                      { 'tool'      : 'portal_actions',
+                        'id'        : 'edit_jamb',
+                        'name'      : 'Edit Jamb Data',
+                        'action'    : 'cpsdocument_edit_form',
                         'permission': ( ),
-                        'condition' : 'python:len(object.contentItems()) == 0',
+                        'condition' : 'python: here.portal_type == "Jamb"',
                         'category'  : 'student',
                         'visible'   : 1,
Index: waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py
===================================================================
--- waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py	(revision 27)
+++ waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py	(revision 28)
@@ -70,6 +70,6 @@
     'cps_proxy_type': 'document',
     'cps_display_as_document_in_listing': True,
-    'schemas': ('metadata', 'student'),
-    'layouts': ('student'),
+    'schemas': ['student'],
+    'layouts': ['student'],
     'cps_workspace_wf': 'waeup_workspace_wf',
     'cps_section_wf': 'waeup_section_wf',
Index: waeup_product/trunk/skins/waeup_student/create_jamb.pt
===================================================================
--- waeup_product/trunk/skins/waeup_student/create_jamb.pt	(revision 28)
+++ waeup_product/trunk/skins/waeup_student/create_jamb.pt	(revision 28)
@@ -0,0 +1,26 @@
+<html metal:use-macro="here/content_lib_master/macros/master">
+
+  <metal:block fill-slot="head_slot">
+    <tal:block tal:define="student here/getContent">
+    </tal:block>
+  </metal:block>
+
+  <metal:block fill-slot="css_slot">
+    <link rel="Stylesheet" type="text/css" href=""
+          tal:attributes="href string:${base_url}student.css" />
+  </metal:block>
+
+  <metal:block fill-slot="main"
+               tal:define="items here/contentValues"
+               >
+    <form action="content_create" tal:attributes="action string:${here_url}/content_create"
+          method="post" class="group">
+      <dt>
+        <input type="hidden" name="type_name" value="Jamb" /> 
+      <p>
+        <input id="objectTitle" type="text" name="title" value="JAMB" class="focus" size="40" />
+        <input type="submit" class="standalone searchButton" value="create" />
+      </p>
+    </form>
+  </metal:block>
+</html>
Index: waeup_product/trunk/skins/waeup_student/create_student.pt
===================================================================
--- waeup_product/trunk/skins/waeup_student/create_student.pt	(revision 28)
+++ waeup_product/trunk/skins/waeup_student/create_student.pt	(revision 28)
@@ -0,0 +1,30 @@
+<html metal:use-macro="here/content_lib_master/macros/master">
+
+  <metal:block fill-slot="head_slot">
+    <tal:block tal:define="student here/getContent">
+    </tal:block>
+  </metal:block>
+
+  <metal:block fill-slot="css_slot">
+    <link rel="Stylesheet" type="text/css" href=""
+          tal:attributes="href string:${base_url}student.css" />
+  </metal:block>
+
+  <metal:block fill-slot="main"
+               tal:define="items here/contentValues"
+               >
+    <form action="content_create" tal:attributes="action string:${here_url}/content_create"
+          method="post" class="group">
+      <dt>
+        <input type="hidden" name="type_name" value="Student" /> 
+      <p>
+        <label for="objectTitle">
+          <strong>Studentname</strong>
+        </label>
+
+        <input id="objectTitle" type="text" name="title" class="focus" size="40" />
+        <input type="submit" class="standalone searchButton" value="create" />
+      </p>
+    </form>
+  </metal:block>
+</html>