Index: waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py
===================================================================
--- waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py	(revision 28)
+++ waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py	(revision 29)
@@ -56,18 +56,18 @@
                 'fields': ('jamb_pin_usage',),
                 'is_required': False,
-                'label': 'Nr of tries',
-                'label_edit': 'Nr of tries',
-                'description': '',
-                'help': '',
-                'is_i18n': False,
-                'readonly_layout_modes': (),
-                'hidden_layout_modes': (),
-                'hidden_readonly_layout_modes': (),
-                'hidden_empty': False,
-                'hidden_if_expr': '',
-                'css_class': '',
-                'widget_mode_expr': '',
-                'display_width': 10,
-                'size_max': 0,
+                'label': 'Nr of Cardusage',
+                'label_edit': 'Nr of Cardusage',
+                'description': '',
+                'help': 'How many times has the scratchcard been used',
+                'is_i18n': False,
+                'readonly_layout_modes': (),
+                'hidden_layout_modes': (),
+                'hidden_readonly_layout_modes': (),
+                'hidden_empty': False,
+                'hidden_if_expr': '',
+                'css_class': '',
+                'widget_mode_expr': '',
+                'display_width': 2,
+                'size_max': 2,
             },
         },
@@ -179,16 +179,16 @@
                 'label': 'Student ID',
                 'label_edit': 'Student ID',
-                'description': '',
-                'help': '',
-                'is_i18n': False,
-                'readonly_layout_modes': (),
-                'hidden_layout_modes': (),
-                'hidden_readonly_layout_modes': (),
-                'hidden_empty': False,
-                'hidden_if_expr': '',
-                'css_class': '',
-                'widget_mode_expr': '',
-                'display_width': 10,
-                'size_max': 0,
+                'description': 'The Student ID from JAMB',
+                'help': 'The Student ID from JAMB',
+                'is_i18n': False,
+                'readonly_layout_modes': (),
+                'hidden_layout_modes': (),
+                'hidden_readonly_layout_modes': (),
+                'hidden_empty': False,
+                'hidden_if_expr': '',
+                'css_class': '',
+                'widget_mode_expr': '',
+                'display_width': 8,
+                'size_max': 8,
             },
         },
@@ -233,6 +233,6 @@
                 'css_class': '',
                 'widget_mode_expr': '',
-                'display_width': 10,
-                'size_max': 0,
+                'display_width': 2,
+                'size_max': 2,
             },
         },
@@ -323,5 +323,5 @@
                 'css_class': '',
                 'widget_mode_expr': '',
-                'display_width': 20,
+                'display_width': 3,
                 'size_max': 0,
             },
Index: waeup_product/trunk/skins/waeup_default/getWAeUPSchemas.py
===================================================================
--- waeup_product/trunk/skins/waeup_default/getWAeUPSchemas.py	(revision 28)
+++ waeup_product/trunk/skins/waeup_default/getWAeUPSchemas.py	(revision 29)
@@ -28,5 +28,5 @@
         'type': 'CPS String Field',
         'data': {
-            'default_expr': 'string:',
+            'default_expr': 'string:Lagos',
             'is_searchabletext': True,
             'acl_read_permissions': '',
@@ -147,5 +147,5 @@
         'type': 'CPS Boolean Field',
         'data': {
-            'default_expr': 'python:False',
+            'default_expr': 'python:0',
             'is_searchabletext': False,
             'acl_read_permissions': '',
Index: waeup_product/trunk/skins/waeup_default/goto_students.pt
===================================================================
--- waeup_product/trunk/skins/waeup_default/goto_students.pt	(revision 29)
+++ waeup_product/trunk/skins/waeup_default/goto_students.pt	(revision 29)
@@ -0,0 +1,1 @@
+<a href="" tal:attributes="string:${here/portal_base}/sections/students">Studentadministration</a>
Index: waeup_product/trunk/skins/waeup_student/student_admitted_form.pt
===================================================================
--- waeup_product/trunk/skins/waeup_student/student_admitted_form.pt	(revision 28)
+++ waeup_product/trunk/skins/waeup_student/student_admitted_form.pt	(revision 29)
@@ -34,10 +34,10 @@
             Candidate Name</TD>
             <TD>
-              <span>EYIEZOR AKOMU ODION</span></TD>
+              <span>Olomide Kingshasa</span></TD>
           </tr>
           <tr>
             <TD>Registration Number</TD>
             <TD>
-              <span>52083535AC</span></TD>
+              <span>1234567AC</span></TD>
           </tr>
           <tr>
@@ -52,5 +52,5 @@
           <tr>
             <TD >
-              <span>02536</span>
+              <span>4568</span>
               <span>401</span></TD>
             <TD>