Index: waeup_cms/trunk/skins/WAEUP/base_properties.props
===================================================================
--- waeup_cms/trunk/skins/WAEUP/base_properties.props	(revision 18)
+++ waeup_cms/trunk/skins/WAEUP/base_properties.props	(revision 35)
@@ -23,5 +23,7 @@
 linkColor:string=#00097C
 linkVisitedColor:string=#00097C
-logoName:string=logo.jpg
+logoName:string=logo.gif
+logoNameLeft:string=logo_left.gif
+logoNameRight:string=logo_right.gif
 notifyBackgroundColor:string=#ffce7b
 notifyBorderColor:string=#ffa500
Index: waeup_cms/trunk/skins/WAEUP/global_logo.pt
===================================================================
--- waeup_cms/trunk/skins/WAEUP/global_logo.pt	(revision 35)
+++ waeup_cms/trunk/skins/WAEUP/global_logo.pt	(revision 35)
@@ -0,0 +1,30 @@
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"
+      i18n:domain="plone">
+
+<body>
+
+<!-- THE PORTAL LOGO DEFINITION -->
+
+<h1 id="portal-logo_left" metal:define-macro="portal_logo_left">
+    <a href="/"
+       tal:attributes="href portal_url"
+       tal:define="portal_title portal_properties/title;"
+       tal:content="string:$portal_title"
+       accesskey="1">
+        Plone
+    </a>
+</h1>
+
+<h1 id="portal-logo_right" metal:define-macro="portal_logo_right">
+    <a href="/"
+       tal:attributes="href portal_url"
+       tal:define="portal_title portal_properties/title;"
+       tal:content="string:$portal_title"
+       accesskey="1">
+        Plone
+    </a>
+</h1>
+
+
+</body>
+</html>
Index: waeup_cms/trunk/skins/WAEUP/main_template.pt
===================================================================
--- waeup_cms/trunk/skins/WAEUP/main_template.pt	(revision 18)
+++ waeup_cms/trunk/skins/WAEUP/main_template.pt	(revision 35)
@@ -57,21 +57,7 @@
              i18n:translate="label_skiptonavigation">Skip to navigation</a>
 
-             <div metal:use-macro="here/global_siteactions/macros/site_actions">
-               Site-wide actions (Contact, Sitemap, Help, Style Switcher etc)
-             </div>
-
-             <div metal:use-macro="here/global_searchbox/macros/quick_search">
-               The quicksearch box, normally placed at the top right
-             </div>
-
-             <a metal:use-macro="here/global_logo/macros/portal_logo">
-               The portal logo, linked to the portal root
-             </a>
-
           </div>
 
-           <div metal:use-macro="here/global_pathbar/macros/path_bar">
-             The breadcrumb navigation ("you are here")
-           </div>
+
       </div>
 
@@ -91,4 +77,15 @@
                 metal:define-slot="column_one_slot"
                 tal:condition="sl">
+
+             <div class="LogoLeft">
+             <a metal:use-macro="here/global_logo/macros/portal_logo_left">
+               The portal logo, linked to the portal root
+             </a>
+             </div>
+
+             <div class="visualClear" id="portal-breadcrumbs">
+               &nbsp;
+             </div>
+
               <div class="visualPadding">
                 <metal:portlets define-slot="portlets_one_slot">
@@ -106,4 +103,25 @@
                 tal:define="tabindex python:Iterator(pos=0)">
 
+             <div class="LogoRight">
+             <a metal:use-macro="here/global_logo/macros/portal_logo_right">
+               The portal logo, linked to the portal root
+             </a>
+             </div>
+
+             <div class="visualClear">
+               <div metal:use-macro="here/global_pathbar/macros/path_bar">
+                 The breadcrumb navigation ("you are here")
+               </div>
+             </div>
+
+             <div metal:use-macro="here/global_siteactions/macros/site_actions">
+               Site-wide actions (Contact, Sitemap, Help, Style Switcher etc)
+             </div>
+
+             <div metal:use-macro="here/global_searchbox/macros/quick_search">
+               The quicksearch box, normally placed at the top right
+             </div>
+
+
               <metal:block define-slot="content">
                 <div id="content"
@@ -154,4 +172,5 @@
                 metal:define-slot="column_two_slot"
                 tal:condition="sr">
+
               <div class="visualPadding">
                 <metal:portlets define-slot="portlets_two_slot">
Index: waeup_cms/trunk/skins/WAEUP/recentchangesdtml.dtml
===================================================================
--- waeup_cms/trunk/skins/WAEUP/recentchangesdtml.dtml	(revision 35)
+++ waeup_cms/trunk/skins/WAEUP/recentchangesdtml.dtml	(revision 35)
@@ -0,0 +1,102 @@
+<dtml-call "RESPONSE.setHeader('Content-Type','text/html; charset=utf-8')">
+<dtml-let 
+ wikiurl=wiki_url
+ summaries="REQUEST.get('summaries',0)"
+ period="_.string.lower(REQUEST.get('period','day'))"
+ days="{
+   'day':1,
+   'week':7,
+   'month':30,
+   'year':365,
+   'ever':999999,
+   'default':3}[period]"
+ newdays="7"
+ now=ZopeTime
+ results="pages(lastEditTime={'query': now-days, 'range':'min'})"
+ number="_.len(results)"
+ >
+<form action="&dtml-URL;" method="GET">
+  <table border="0">
+    <tr valign="top">
+      <dtml-if hasCatalog>
+      <td align="right"><dtml-translate domain=zwiki>Pages changed in the last</dtml-translate></td>
+      <dtml-in "['day','week','month','year','ever']" prefix=x>
+      <td align="center">
+        <input type=submit name=period value="&dtml-x_sequence_item;" 
+               <dtml-if "x_sequence_item==period">style="font-weight:bold"</dtml-if>
+               />
+        <dtml-if "x_sequence_item==period"><br />(&dtml-number;)</dtml-if>
+      </td>
+      </dtml-in>
+      <dtml-else>
+      <td align="right"><dtml-translate domain=zwiki>Recently changed pages, with summaries</dtml-translate>.</td>
+      </dtml-if>
+      <td>
+        <input type=checkbox name=summaries <dtml-if summaries>checked</dtml-if> />
+        <dtml-translate domain=zwiki>Show summaries ?</dtml-translate>
+      </td>
+      <dtml-unless hasCatalog>
+      <td align="center"><input type=submit value="<dtml-translate domain=zwiki>Refresh</dtml-translate>" /></td>
+      </dtml-unless>
+    </tr>
+  </table>
+</form>
+<table border="0" cellspacing="0" cellpadding="1" width="100%">
+  <tr>
+    <th align="left"><dtml-translate domain=zwiki>Page</dtml-translate></th>
+    <th align="left"><dtml-translate domain=zwiki>Edited&nbsp;by</dtml-translate>&nbsp;&nbsp;&nbsp;</th>
+    <th align="left"><dtml-translate domain=zwiki>Time</dtml-translate></th>
+  </tr>
+  <tr><td colspan=3></td></tr>
+  <dtml-in results prefix=x>
+  <tr valign="top" <dtml-var "(x_sequence_odd and 'bgcolor=#f0f0f0') or ''">>
+    <td>
+      <a href="&dtml-wikiurl;/&dtml.url_quote-id;" 
+         title=""
+         style="background-color:<dtml-var issueColour>;"
+         ><dtml-var "formatWikiname(Title)"></a>
+      <dtml-if "creation_time and (now - _.DateTime(creation_time)) < newdays">
+      <small><span style="background-color:palegreen"><dtml-translate domain=zwiki>NEW</dtml-translate></span></small>
+      </dtml-if>
+      &nbsp;&nbsp;&nbsp;
+      <dtml-unless summaries>
+      <dtml-if last_log>
+      <br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b><dtml-var last_log></b><br/>&nbsp;
+      <dtml-else>
+      <br/><br/>
+      </dtml-if>
+      </dtml-unless>
+    </td>
+    <td align="left" nowrap="">
+      <dtml-if "last_editor and _.string.swapcase(last_editor) != last_editor">
+      <a href="&dtml-wikiurl;/<dtml-var "canonicalIdFrom(last_editor)">">&dtml-last_editor;</a>
+      <dtml-else>
+      <dtml-translate domain=zwiki>anonymous</dtml-translate>
+      </dtml-if>
+      &nbsp;&nbsp;&nbsp;
+    </td>
+    <td nowrap="">
+      <a href="&dtml-wikiurl;/&dtml-id;/diff">
+        <dtml-try><dtml-var "lastEditTime.toZone(zwiki_timezone)" fmt="pCommon">
+        <dtml-except><dtml-var lastEditTime fmt="pCommon">
+        </dtml-try>
+      </a>
+    </td>
+  </tr>
+  <dtml-if summaries>
+  <tr <dtml-var "(x_sequence_odd and 'bgcolor=#f0f0f0') or ''">>
+    <td colspan=2>
+      <small><dtml-var summary></small>
+      <dtml-if last_log>
+      <br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b><dtml-var last_log></b>&nbsp;
+      </dtml-if>
+      <br/><br/>
+    </td>
+    <td>&nbsp;</td>
+  </tr>
+  </dtml-if>
+  </dtml-in>
+</table>
+
+<dtml-translate domain=zwiki>Pages marked (NEW) have been created within the last week</dtml-translate>.
+</dtml-let>
Index: waeup_cms/trunk/skins/WAEUP/revision_workflow.py
===================================================================
--- waeup_cms/trunk/skins/WAEUP/revision_workflow.py	(revision 35)
+++ waeup_cms/trunk/skins/WAEUP/revision_workflow.py	(revision 35)
@@ -0,0 +1,326 @@
+#
+#
+# Generated by dumpDCWorkflow.py written by Sebastien Bigaret,
+# Scripts inline by Russ Ferriday, russf@topia.com
+#
+# Original workflow id/title: revision_workflow/Revision Workflow
+# Date: 2005/06/23 07:48:49.719 GMT+2
+#
+#
+# The following scripts have been detected:
+# - mail2admin (Script (Python))
+#
+"""
+Programmatically creates a workflow type
+"""
+__version__ = "$Revision: 1.1.1.1 $"[11:-2]
+
+from Products.CMFCore.WorkflowTool import addWorkflowFactory
+
+from Products.DCWorkflow.DCWorkflow import DCWorkflowDefinition
+
+def setupRevision_workflow(wf):
+    "..."
+    wf.setProperties(title='Revision Workflow')
+
+    for s in ['deleted', 'private', 'visible', 'published', 'pending', 'revision']:
+        wf.states.addState(s)
+    for t in ['hide', 'show', 're-submit', 'submit', 'publish', 'reject', 'retract', 'revise', 'delete']:
+        wf.transitions.addTransition(t)
+    for v in ['action', 'review_history', 'actor', 'comments', 'time']:
+        wf.variables.addVariable(v)
+    for l in ['revision_queue', 'deleted_queue', 'reviewer_queue']:
+        wf.worklists.addWorklist(l)
+    for p in ('Access contents information', 'Modify portal content', 'View', 'Change portal events'):
+        wf.addManagedPermission(p)
+    from Products.PythonScripts.PythonScript import manage_addPythonScript
+    for p in ['mail2admin']:
+        manage_addPythonScript(wf.scripts, p)
+
+
+
+    ## Initial State
+    wf.states.setInitialState('visible')
+
+    ## States initialization
+    sdef = wf.states['deleted']
+    sdef.setProperties(title="""""",
+                       transitions=('re-submit',))
+    sdef.setPermission('Access contents information', 0, ['Manager', 'Owner'])
+    sdef.setPermission('Modify portal content', 0, ['Manager', 'Owner'])
+    sdef.setPermission('View', 0, ['Manager', 'Owner'])
+    sdef.setPermission('Change portal events', 0, ['Manager', 'Owner'])
+
+    sdef = wf.states['private']
+    sdef.setProperties(title="""Visible and editable only by owner""",
+                       transitions=('show',))
+    sdef.setPermission('Access contents information', 0, ['Manager', 'Owner'])
+    sdef.setPermission('Modify portal content', 0, ['Manager', 'Owner'])
+    sdef.setPermission('View', 0, ['Manager', 'Owner'])
+    sdef.setPermission('Change portal events', 0, ['Manager', 'Owner'])
+
+    sdef = wf.states['visible']
+    sdef.setProperties(title="""Visible but not published""",
+                       transitions=('delete', 'hide', 'publish', 'submit'))
+    sdef.setPermission('Access contents information', 1, ['Anonymous', 'Manager', 'Reviewer'])
+    sdef.setPermission('Modify portal content', 0, ['Manager', 'Owner'])
+    sdef.setPermission('View', 1, ['Anonymous', 'Manager', 'Reviewer'])
+    sdef.setPermission('Change portal events', 0, ['Manager', 'Owner'])
+
+    sdef = wf.states['published']
+    sdef.setProperties(title="""Public""",
+                       transitions=('delete', 'reject', 'retract', 'revise'))
+    sdef.setPermission('Access contents information', 1, ['Anonymous', 'Manager'])
+    sdef.setPermission('Modify portal content', 0, ['Manager'])
+    sdef.setPermission('View', 1, ['Anonymous', 'Manager'])
+    sdef.setPermission('Change portal events', 0, ['Manager'])
+
+    sdef = wf.states['pending']
+    sdef.setProperties(title="""Waiting for reviewer""",
+                       transitions=('publish', 'reject', 'retract', 'revise'))
+    sdef.setPermission('Access contents information', 1, ['Manager', 'Owner', 'Reviewer'])
+    sdef.setPermission('Modify portal content', 0, ['Manager', 'Reviewer'])
+    sdef.setPermission('View', 1, ['Manager', 'Owner', 'Reviewer'])
+    sdef.setPermission('Change portal events', 0, ['Manager', 'Reviewer'])
+
+    sdef = wf.states['revision']
+    sdef.setProperties(title="""Waiting for member""",
+                       transitions=('delete', 'publish', 're-submit', 'retract'))
+    sdef.setPermission('Access contents information', 1, ['Anonymous', 'Manager', 'Reviewer'])
+    sdef.setPermission('Modify portal content', 0, ['Manager', 'Owner'])
+    sdef.setPermission('View', 1, ['Anonymous', 'Manager', 'Reviewer'])
+    sdef.setPermission('Change portal events', 0, ['Manager', 'Owner'])
+
+    ## Scripts Installation
+    scrdef = wf.scripts['mail2admin']
+    scrdef.ZPythonScript_edit('',
+    """## Script (Python) "mail2admin"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=state_change
+##title=
+##
+# the objects we need
+object = state_change.object
+mship = context.portal_membership
+mhost = context.MailHost
+prop = context.portal_properties
+
+# the message format, %s will be filled in from data
+message = <com.topia.constants.tquote.proxy>
+From: %s
+To: %s
+Subject: New item submitted for approval - %s
+
+%s
+
+URL: %s
+<com.topia.constants.tquote.proxy>
+
+msg = message % (
+     prop.email_from_address,
+     prop.email_from_address,
+     object.TitleOrId(),
+     object.Description(),
+     object.absolute_url()
+     )
+mhost.send(msg)
+""".replace("<com.topia.constants.tquote.proxy>", '"""'))
+
+
+    ## Transitions initialization
+    tdef = wf.transitions['hide']
+    tdef.setProperties(title="""Member makes content private""",
+                       new_state_id="""private""",
+                       trigger_type=1,
+                       script_name="""""",
+                       after_script_name="""""",
+                       actbox_name="""Make private""",
+                       actbox_url="""%(content_url)s/content_hide_form""",
+                       actbox_category="""workflow""",
+                       props={'guard_roles': 'Owner'},
+                       )
+
+    tdef = wf.transitions['show']
+    tdef.setProperties(title="""Member makes content visible""",
+                       new_state_id="""visible""",
+                       trigger_type=1,
+                       script_name="""""",
+                       after_script_name="""""",
+                       actbox_name="""Make visible""",
+                       actbox_url="""%(content_url)s/content_show_form""",
+                       actbox_category="""workflow""",
+                       props={'guard_roles': 'Owner'},
+                       )
+
+    tdef = wf.transitions['re-submit']
+    tdef.setProperties(title="""Member requests re-publishing""",
+                       new_state_id="""pending""",
+                       trigger_type=1,
+                       script_name="""""",
+                       after_script_name="""mail2admin""",
+                       actbox_name="""Re-submit""",
+                       actbox_url="""%(content_url)s/content_submit_form""",
+                       actbox_category="""workflow""",
+                       props={'guard_permissions': 'Request review'},
+                       )
+
+    tdef = wf.transitions['submit']
+    tdef.setProperties(title="""Member requests publishing""",
+                       new_state_id="""pending""",
+                       trigger_type=1,
+                       script_name="""""",
+                       after_script_name="""mail2admin""",
+                       actbox_name="""Submit""",
+                       actbox_url="""%(content_url)s/content_submit_form""",
+                       actbox_category="""workflow""",
+                       props={'guard_permissions': 'Request review'},
+                       )
+
+    tdef = wf.transitions['publish']
+    tdef.setProperties(title="""Reviewer publishes content""",
+                       new_state_id="""published""",
+                       trigger_type=1,
+                       script_name="""""",
+                       after_script_name="""""",
+                       actbox_name="""Publish""",
+                       actbox_url="""%(content_url)s/content_publish_form""",
+                       actbox_category="""workflow""",
+                       props={'guard_permissions': 'Review portal content'},
+                       )
+
+    tdef = wf.transitions['reject']
+    tdef.setProperties(title="""Reviewer rejects submission""",
+                       new_state_id="""revision""",
+                       trigger_type=1,
+                       script_name="""""",
+                       after_script_name="""""",
+                       actbox_name="""Reject""",
+                       actbox_url="""%(content_url)s/content_reject_form""",
+                       actbox_category="""workflow""",
+                       props={'guard_permissions': 'Review portal content'},
+                       )
+
+    tdef = wf.transitions['retract']
+    tdef.setProperties(title="""Reviewer retracts submission""",
+                       new_state_id="""visible""",
+                       trigger_type=1,
+                       script_name="""""",
+                       after_script_name="""""",
+                       actbox_name="""Retract""",
+                       actbox_url="""%(content_url)s/content_retract_form""",
+                       actbox_category="""workflow""",
+                       props={'guard_permissions': 'Review portal content'},
+                       )
+
+    tdef = wf.transitions['revise']
+    tdef.setProperties(title="""Member revises submission""",
+                       new_state_id="""revision""",
+                       trigger_type=1,
+                       script_name="""""",
+                       after_script_name="""""",
+                       actbox_name="""Revise""",
+                       actbox_url="""""",
+                       actbox_category="""workflow""",
+                       props={'guard_permissions': 'Request review'},
+                       )
+
+    tdef = wf.transitions['delete']
+    tdef.setProperties(title="""Member requests deletion""",
+                       new_state_id="""deleted""",
+                       trigger_type=1,
+                       script_name="""""",
+                       after_script_name="""mail2admin""",
+                       actbox_name="""Delete""",
+                       actbox_url="""""",
+                       actbox_category="""workflow""",
+                       props={'guard_permissions': 'Request review'},
+                       )
+
+    ## State Variable
+    wf.variables.setStateVar('review_state')
+
+    ## Variables initialization
+    vdef = wf.variables['action']
+    vdef.setProperties(description="""The last transition""",
+                       default_value="""""",
+                       default_expr="""transition/getId|nothing""",
+                       for_catalog=0,
+                       for_status=1,
+                       update_always=1,
+                       props=None)
+
+    vdef = wf.variables['review_history']
+    vdef.setProperties(description="""Provides access to workflow history""",
+                       default_value="""""",
+                       default_expr="""state_change/getHistory""",
+                       for_catalog=0,
+                       for_status=0,
+                       update_always=0,
+                       props={'guard_permissions': 'Request review; Review portal content'})
+
+    vdef = wf.variables['actor']
+    vdef.setProperties(description="""The ID of the user who performed the last transition""",
+                       default_value="""""",
+                       default_expr="""user/getId""",
+                       for_catalog=0,
+                       for_status=1,
+                       update_always=1,
+                       props=None)
+
+    vdef = wf.variables['comments']
+    vdef.setProperties(description="""Comments about the last transition""",
+                       default_value="""""",
+                       default_expr="""python:state_change.kwargs.get('comment', '')""",
+                       for_catalog=0,
+                       for_status=1,
+                       update_always=1,
+                       props=None)
+
+    vdef = wf.variables['time']
+    vdef.setProperties(description="""Time of the last transition""",
+                       default_value="""""",
+                       default_expr="""state_change/getDateTime""",
+                       for_catalog=0,
+                       for_status=1,
+                       update_always=1,
+                       props=None)
+
+    ## Worklists Initialization
+    ldef = wf.worklists['revision_queue']
+    ldef.setProperties(description="""Revision monitor""",
+                       actbox_name="""In revision (%(count)d)""",
+                       actbox_url="""%(portal_url)s/search?review_state=revision""",
+                       actbox_category="""global""",
+                       props={'guard_permissions': 'Review portal content', 'var_match_review_state': 'revision'})
+
+    ldef = wf.worklists['deleted_queue']
+    ldef.setProperties(description="""Deletion monitor""",
+                       actbox_name="""Deleted (%(count)d)""",
+                       actbox_url="""%(portal_url)s/search?review_state=deleted""",
+                       actbox_category="""global""",
+                       props={'guard_permissions': 'Review portal content', 'var_match_review_state': 'deleted'})
+
+    ldef = wf.worklists['reviewer_queue']
+    ldef.setProperties(description="""Revision monitor""",
+                       actbox_name="""Pending (%(count)d)""",
+                       actbox_url="""%(portal_url)s/search?review_state=pending""",
+                       actbox_category="""global""",
+                       props={'guard_permissions': 'Review portal content', 'var_match_review_state': 'pending'})
+
+
+def createRevision_workflow(id):
+    "..."
+    ob = DCWorkflowDefinition(id)
+    setupRevision_workflow(ob)
+    return ob
+
+addWorkflowFactory(createRevision_workflow,
+                   id='revision_workflow',
+                   title='Revision Workflow')
+
+
+
Index: waeup_cms/trunk/skins/WAEUP/waeup.css.dtml
===================================================================
--- waeup_cms/trunk/skins/WAEUP/waeup.css.dtml	(revision 18)
+++ waeup_cms/trunk/skins/WAEUP/waeup.css.dtml	(revision 35)
@@ -17,4 +17,89 @@
 /* In public.css */
 
+
+#portal-logo_left {
+    background: url(&dtml-portal_url;/&dtml-logoNameLeft;) no-repeat;
+    border: 0;
+    margin: 0;
+    padding: 0;
+    float: right;
+}
+
+#portal-logo_left a {
+    display: block;
+    text-decoration: none;
+    overflow: hidden;
+    border: 0;
+    margin: 0;
+    padding: 0;
+    padding-top: <dtml-var "_[logoNameLeft].height">px;
+    height: 0px !important;
+    height /**/: <dtml-var "_[logoNameLeft].height">px;
+    width: <dtml-var "_[logoNameLeft].width">px;
+    cursor: pointer;
+}
+
+#portal-logo_right {
+    background: url(&dtml-portal_url;/&dtml-logoNameRight;) no-repeat;
+    border: 0;
+    margin: 0;
+    padding: 0;
+    float: left;
+}
+
+#portal-logo_right a {
+    display: block;
+    text-decoration: none;
+    overflow: hidden;
+    border: 0;
+    margin: 0;
+    padding: 0;
+    padding-top: <dtml-var "_[logoNameRight].height">px;
+    height: 0px !important;
+    height /**/: <dtml-var "_[logoNameRight].height">px;
+    width: <dtml-var "_[logoNameRight].width">px;
+    cursor: pointer;
+}
+
+.LogoLeft {
+    margin-top: 0.75em;
+}
+
+.LogoRight {
+    margin-top: 0.75em;
+    margin-left: 1.6em;
+}
+
+#portal-searchbox {
+    float: right;
+    clear: right;
+    background-color: transparent;
+    margin: 1.5em 0 0 0;
+    padding: 0 2em 0 0;
+    text-align: right;
+    text-transform: &dtml-textTransform;;
+    white-space: nowrap;
+    z-index: 2;
+    position  :absolute;
+    right    : 12px;
+    top: 20px
+}
+
+#portal-siteactions {
+    background-color: transparent;
+    white-space: nowrap;
+    list-style-image: none;
+    list-style-type: none;
+    margin: 1px 0 0 0;
+    height: auto;
+    line-height: normal;
+    float: right;
+    padding: 3px 2em 3px 0;
+    position  :absolute;
+    right    : 10px;
+    top: 0px
+}
+
+
 #portal-breadcrumbs {
     /* The path bar, including breadcrumbs and add to favorites */
@@ -23,6 +108,6 @@
     border-bottom-width: &dtml-borderWidth;;
     border-bottom: none;
-    padding-left: 3em;
-    padding-right: 2em;
+    padding: 0em;
+    margin-left: 2.2em;
     text-transform: &dtml-textTransform;;
     line-height: 1.6em;