Index: waeup_cms/trunk/skins/WAEUP/df_listing.pt
===================================================================
--- waeup_cms/trunk/skins/WAEUP/df_listing.pt	(revision 40)
+++ waeup_cms/trunk/skins/WAEUP/df_listing.pt	(revision 40)
@@ -0,0 +1,163 @@
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en"
+      lang="en"
+      metal:use-macro="here/main_template/macros/master"
+      i18n:domain="plone">
+
+<body>
+
+    <div metal:fill-slot="main">
+    <metal:main-macro define-macro="main">
+
+        <div metal:use-macro="here/document_actions/macros/document_actions">
+            Document actions (print, sendto etc)
+        </div>
+
+        <h1 tal:content="here/pretty_title_or_id" class="documentFirstHeading">
+            Title or id
+        </h1>
+
+        <a href=""
+           class="link-parent"
+           tal:define="parent_url python:here.navigationParent(here, template_id)"
+           tal:condition="parent_url"
+           tal:attributes="href parent_url"
+           i18n:translate="go_to_parent_url">
+        Up one level
+        </a>
+
+        <div class="documentDescription" tal:content="here/Description">
+            description
+        </div>
+
+        <metal:listingmacro define-macro="listing">
+        <tal:foldercontents define="contentFilter contentFilter|request/contentFilter|nothing;
+                            limit_display limit_display|request/limit_display|nothing;
+                            more_url more_url|request/more_url|string:folder_contents;
+                            contentsMethod python:test(here.portal_type=='Topic', here.queryCatalog, here.getFolderContents);
+                            folderContents folderContents|python:contentsMethod(contentFilter);
+                            use_view_action site_properties/typesUseViewActionInListings;
+                            over_limit python: limit_display and len(folderContents) > limit_display;
+                            folderContents python: (over_limit and folderContents[:limit_display]) or folderContents;
+                            show_about python:not isAnon or site_properties.allowAnonymousViewAbout">
+        <tal:listing condition="folderContents"
+                     define="toLocalizedTime nocall:here/toLocalizedTime;">
+
+            <dl>
+                <tal:entry tal:repeat="item folderContents">
+                <tal:block tal:define="item_url item/getURL|item/absolute_url;
+                                       item_id item/getId|item/id;
+                                       item_title_or_id item/pretty_title_or_id;
+                                       item_description item/Description;
+                                       item_type item/portal_type;
+                                       item_type_title item/Type;
+                                       item_modified item/ModificationDate;
+                                       item_created item/CreationDate;
+                                       item_type_class python: 'contenttype-' + putils.normalizeString(item_type);
+                                       item_wf_state        item/review_state|python: wtool.getInfoFor(item, 'review_state', '');
+                                       item_wf_state_class python:'state-' + putils.normalizeString(item_wf_state);
+                                       item_creator item/Creator;
+                                       item_start item/start/ISO|item/StartDate|nothing;
+                                       item_end item/end/ISO|item/EndDate|nothing;
+                                       item_folderish item/is_folderish|item/isPrincipiaFolderish|nothing;
+                                   ">
+
+                    <dt metal:define-macro="listitem">
+
+                        <span tal:attributes="class item_type_class"
+                              tal:condition="python:item_type != 'Link'">
+                        <a href="#" 
+                           tal:attributes="href python:test(item_type in use_view_action, item_url+'/view', item_url+'/');
+                                           class string:$item_wf_state_class visualIconPadding"
+                           tal:content="item_title_or_id">
+                            Item Title
+                        </a>
+                        </span>
+
+                        <tal:to_external condition="python:item_type == 'Link'">
+                            <span tal:attributes="class item_type_class">
+                            <a href="#"
+                               tal:content="item_title_or_id"
+                               tal:attributes="href item/getRemoteUrl;
+                                               class item_wf_state_class">
+                                External Link
+                            </a>
+                            </span>
+                        </tal:to_external>
+
+                        <span class="documentByLine"
+                              tal:condition="show_about">
+
+                            <span tal:condition="python: item_type == 'Event'"
+                                  i18n:translate="label_event_byline">
+                                (<span tal:omit-tag="" tal:content="string:${item/location}" i18n:name="location">Oslo</span>, from
+                                 <span tal:omit-tag="" tal:content="python:toLocalizedTime(item_start,long_format=1)" i18n:name="start">from date</span> to
+                                 <span tal:omit-tag="" tal:content="python:toLocalizedTime(item_end,long_format=1)" i18n:name="end">to date</span>)
+                            &mdash;
+                            </span>
+
+                            <tal:name tal:condition="item_creator"
+                                tal:define="author python:mtool.getMemberInfo(item_creator)">
+                              <span i18n:translate="label_by_author">
+                                by
+                              <a href="#"
+                                 tal:attributes="href string:${portal_url}/author/${item_creator}"
+                                 tal:content="python:author and author['fullname'] or item_creator"
+                                 tal:omit-tag="not:author"
+                                 i18n:name="author">
+                                Bob Dobalina
+                              </a>
+                              </span>
+
+                            </tal:name>
+
+                            <tal:modified condition="python: item_type != 'Event'">
+                                &mdash;
+                                <tal:mod i18n:translate="box_last_modified">
+                                  last modified
+                                </tal:mod>
+                                <span tal:replace="python:toLocalizedTime(item_modified,long_format=1)">
+                                  August 16, 2001 at 23:35:59
+                                </span>
+                            </tal:modified>
+
+                            <metal:description define-slot="description_slot">
+                                <tal:comment replace="nothing"> 
+                                    Place custom listing info for custom types here
+                                </tal:comment>
+                            </metal:description>
+                        </span>
+
+                    </dt>
+
+                    <dd tal:condition="item_description">
+                        <span tal:omit-tag="" tal:content="item_description"> 
+                            description 
+                        </span> 
+                    </dd>
+
+                    <dd tal:condition="not: item_folderish">
+                       <div tal:define=" itemobj item/getObject;
+                                         reply_dict python:itemobj.getReplyReplies(itemobj)">
+                           <span tal:content="python: len(reply_dict)" /> comments or replies
+                       </div>
+                    </dd>
+
+                </tal:block>
+                </tal:entry>
+            </dl>
+        </tal:listing>
+        <metal:empty metal:define-slot="no_items_in_listing">
+            <p class="discreet"
+               tal:condition="not: folderContents"
+               i18n:translate="description_no_items_in_folder">
+                There are currently no items in this folder.
+            </p>
+        </metal:empty>
+
+        </tal:foldercontents>
+        </metal:listingmacro>
+    </metal:main-macro>
+    </div>
+
+</body>
+</html>
Index: waeup_cms/trunk/skins/WAEUP/df_listing.pt.metadata
===================================================================
--- waeup_cms/trunk/skins/WAEUP/df_listing.pt.metadata	(revision 40)
+++ waeup_cms/trunk/skins/WAEUP/df_listing.pt.metadata	(revision 40)
@@ -0,0 +1,2 @@
+[default]
+title=Discussion listing
Index: waeup_cms/trunk/skins/WAEUP/waeup.css.dtml
===================================================================
--- waeup_cms/trunk/skins/WAEUP/waeup.css.dtml	(revision 39)
+++ waeup_cms/trunk/skins/WAEUP/waeup.css.dtml	(revision 40)
@@ -81,6 +81,6 @@
     white-space: nowrap;
     z-index: 2;
-    position  :absolute;
-    right    : 12px;
+    position: absolute;
+    right: 12px;
     top: 20px
 }
@@ -155,5 +155,5 @@
     font-size: 140%;
     border-bottom: none;
-    font-weight: bold;
+    font-weight: normal;
 }
 
@@ -161,5 +161,5 @@
     font-size: 120%;
     border-bottom: none;
-    font-weight: bold;
+    font-weight: normal;
 }
 
@@ -184,3 +184,10 @@
 }
 
+dd {
+    line-height: 1.5em;
+    margin-bottom: 0.5em;
+    margin-top: 0.5em;
+
+}
+
 /* </dtml-with> */