Index: waeup_cms/trunk/skins/WAEUP/login_form.pt
===================================================================
--- waeup_cms/trunk/skins/WAEUP/login_form.pt	(revision 42)
+++ waeup_cms/trunk/skins/WAEUP/login_form.pt	(revision 42)
@@ -0,0 +1,182 @@
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"
+      metal:use-macro="here/main_template/macros/master"
+      i18n:domain="plone">
+
+<head>
+    <script type="text/javascript" metal:fill-slot="javascript_head_slot">
+    </script>
+    <metal:block fill-slot="top_slot"
+                 tal:define="dummy python:request.set('disable_border',1)" />
+</head>
+
+<body>
+
+<div metal:fill-slot="main"
+     tal:define="auth nocall:here/cookie_authentication|nothing;
+                 came_from request/came_from|request/HTTP_REFERER|nothing;
+                 came_from python:test(utool.isURLInPortal(came_from), came_from, None);
+                 ztutils modules/ZTUtils;
+                 errors options/state/getErrors;">
+
+<h1 i18n:translate="heading_sign_in">Please log in</h1>
+
+<p i18n:translate="description_sign_in">
+To access this part of the site, you need to log in with your user name and password.
+</p>
+
+<p i18n:translate="description_no_account"
+   tal:define="join python:[a['url'] for a in actions['user'] if a['id']=='join']"
+   tal:condition="python: join and checkPermission('Add portal member', here)">
+
+If you do not have an account here, head over to the
+
+<span i18n:name="registration_form">
+    <a href=""
+       tal:define="join python:join.pop();
+                   join join;
+                   join python:join+test(join.find('?')==-1, '?', '&amp;')+ztutils.make_query(came_from=came_from);"
+       tal:attributes="href join"
+       i18n:translate="description_no_account_registration_linktext">
+        registration form
+    </a>
+</span>
+
+to become a member.
+
+</p>
+
+<div id="enable_cookies_message" i18n:translate="enable_cookies_message" class="portalMessage" style="display:none">
+  Cookies are not enabled. You must <span i18n:name="enable_cookies">
+  <a href="enabling_cookies" i18n:translate="label_enable_cookies">enable cookies</a></span> before you can log in.
+</div>
+
+<div tal:condition="python: not auth" i18n:translate="login_form_disabled">
+    While cookie authentication is disabled, cookie-based login is not available.
+</div>
+
+<form tal:attributes="action python:context.absolute_url()+'/'+template.id"
+      method="post"
+      id="login_form"
+      tal:condition="python:auth">
+
+    <fieldset tal:define="ac_name auth/name_cookie;
+	                  ac_password auth/pw_cookie;
+	                  ac_persist auth/persist_cookie;
+			  login_name python:request.get('login_name', request.get(ac_name, ''));">
+
+        <legend i18n:translate="legend_account_details">Account details</legend>
+
+        <input type="hidden"
+            name="came_from"
+            value=""
+	    tal:attributes="value came_from" />
+
+        <input type="hidden" name="form.submitted" value="1" />
+        <input type="hidden" name="js_enabled" id="js_enabled" value="0" />
+        <input type="hidden" name="cookies_enabled" id="cookies_enabled" value="" />
+        <input type="hidden" name="login_name" id="login_name" value="" />
+        <input type="hidden" name="pwd_empty" id="pwd_empty" value="0" />
+
+        <div class="field"
+             tal:define="error python:errors.get(ac_name, None);"
+             tal:attributes="class python:test(error, 'field error', 'field')">
+
+            <label i18n:translate="label_login_name"
+                   tal:attributes="for ac_name">Login Name</label>
+
+            <div i18n:translate="help_login_name_caps"
+                 class="formHelp">
+    		Login names are case sensitive, make sure the caps lock key is not enabled.
+            </div>
+
+            <div tal:content="error">Validation error output</div>
+
+            <input type="text"
+                   size="15"
+                   tabindex=""
+                   tal:attributes="name ac_name;
+                                   id ac_name;
+                                   value login_name;
+                                   tabindex tabindex/next;"
+                   />
+
+	</div>
+
+	<div class="field"
+             tal:define="error python:errors.get(ac_password, None);"
+             tal:attributes="class python:test(error, 'field error', 'field')">
+
+            <label i18n:translate="label_password"
+                   tal:attributes="for ac_password">Password</label>
+
+            <div class="formHelp">
+                <div i18n:translate="help_capslock_password">
+                    Case sensitive, make sure caps lock is not enabled.
+                </div>
+                <div tal:condition="python:checkPermission('Mail forgotten password', here)"
+                     i18n:translate="help_password_retrieval">
+                    If you have forgotten your password or would like to get a guest account, please send an e-mail to 
+                    <span i18n:name="click_here">
+                        <a tal:replace="structure python: here.spamProtect(site_properties.email_from_address)" />
+                    </span>.
+                </div>
+            </div>
+
+            <div tal:content="error">Validation error output</div>
+
+            <input type="password"
+                   size="15"
+                   tabindex=""
+                   tal:attributes="name ac_password;
+                                   id ac_password;
+                                   tabindex tabindex/next;"
+                   />
+	</div>
+
+        <div class="field">
+
+            <input type="checkbox"
+                   class="noborder formRememberName"
+                   value="1"
+                   checked="checked"
+                   id="cb_remember"
+                   tabindex=""
+                   tal:attributes="name ac_persist;
+                                   tabindex tabindex/next;
+                                   checked python:request.get(ac_name, '') and 'checked' or None;"
+                   />
+
+            <label for="cb_remember" i18n:translate="label_remember_my_name">Remember my name.</label>
+
+            <div i18n:translate="help_remember_my_name"
+                 class="formHelp">
+                Check this to have your user name filled in automatically when you log in later.
+            </div>
+
+        </div>
+
+        <div class="formControls">
+
+            <input class="context"
+                   tabindex=""
+                   type="submit"
+                   name="submit"
+                   value="Log in"
+                   i18n:attributes="value label_log_in;"
+                   tal:attributes="tabindex tabindex/next;
+	                           onclick string:javascript:return setLoginVars('$ac_name','login_name','$ac_password','pwd_empty','js_enabled','cookies_enabled');"
+                   />
+
+        </div>
+
+        <p i18n:translate="remember_to_log_out">
+            Please log out or exit your browser when you're done.
+        </p>
+
+    </fieldset>
+
+</form>
+</div>
+
+</body>
+</html>
Index: waeup_cms/trunk/skins/WAEUP/member_listing.pt
===================================================================
--- waeup_cms/trunk/skins/WAEUP/member_listing.pt	(revision 41)
+++ waeup_cms/trunk/skins/WAEUP/member_listing.pt	(revision 42)
@@ -27,5 +27,5 @@
         <tbody>
 
-          <tal:repeat tal:define="Groups python:(('Nigeria','Nigerian Group'), ('Germany','German Group'), ('Ghana','Ghanaian Group'))"
+          <tal:repeat tal:define="Groups python:(('Nigeria','Nigerian Group'), ('Germany','German Group'), ('Ghana','Ghanaian Group'), ('USA','US American Group'))"
                       tal:repeat="Group Groups">
 
Index: waeup_cms/trunk/skins/WAEUP/portlet_news.pt
===================================================================
--- waeup_cms/trunk/skins/WAEUP/portlet_news.pt	(revision 42)
+++ waeup_cms/trunk/skins/WAEUP/portlet_news.pt	(revision 42)
@@ -0,0 +1,65 @@
+<html xmlns:tal="http://xml.zope.org/namespaces/tal"
+      xmlns:metal="http://xml.zope.org/namespaces/metal"
+      i18n:domain="plone">
+<body>
+<div metal:define-macro="portlet"
+     tal:define="results python:request.get('news',
+                   here.portal_catalog.searchResults(portal_type='News Item',
+                                                     sort_on='Date',
+                                                     sort_order='reverse',
+                                                     review_state='published (Public)')[:5]);"
+     tal:condition="python:test(template.getId()!='news' and results, 1, 0)">
+
+    <dl class="portlet" id="portlet-news">
+
+        <dt class="portletHeader">
+            <a href="#" 
+               tal:condition="python:'news' in portal.contentIds()"
+               tal:attributes="href string:${utool}/news"
+               i18n:translate="box_news">News</a>
+            <a href="#" 
+               tal:condition="python:'news' not in portal.contentIds()"
+               tal:attributes="href string:${utool}/news_listing"
+               i18n:translate="box_news">News</a>
+        </dt>
+
+        <tal:newsitems tal:repeat="obj results">
+        <dd tal:define="oddrow repeat/obj/odd"
+             tal:attributes="class python:test(oddrow, 'portletItem even', 'portletItem odd')">
+
+            <a href=""
+               tal:attributes="href obj/getURL;
+                               title obj/Description">
+                <tal:block replace="structure here/newsitem_icon.gif"/>
+                <span tal:replace="obj/pretty_title_or_id">
+                Plone 2.1 announced!
+                </span>
+                <span class="portletItemDetails"
+                      tal:content="python:here.toLocalizedTime(obj.Date)">May 5</span>
+            </a>
+        </dd>
+        </tal:newsitems>
+
+        <dd class="portletFooter">
+
+            <a href=""
+               tal:condition="python:'news' in portal.contentIds()"
+               tal:attributes="href string:${utool}/news"
+               i18n:translate="box_more_news_link"
+               >
+              More news&hellip;
+            </a>
+
+            <a href=""
+               tal:condition="python:'news' not in portal.contentIds()"
+               tal:attributes="href string:${utool}/news_listing"
+               i18n:translate="box_more_news_link"
+               >
+              More news&hellip;
+            </a>
+        </dd>
+    </dl>
+
+</div>
+</body>
+</html>